<?php

/**
 * @file
 * Contains \Drupal\per_user_block\Entity\Block.
 */

namespace Drupal\per_user_block\Entity;

use Drupal\block\Entity\Block as CoreBlock;
use Drupal\Core\Plugin\Context\Context;
use Drupal\Core\Plugin\Context\ContextDefinition;

class Block extends CoreBlock {

  /**
   * {@inheritdoc}
   */
  public function setContexts(array $contexts) {
    // Store the name in the contexts array using a key that is used in our
    // BlockContext subscriber.
    $contexts['per_user_block.block'] = new Context(new ContextDefinition('entity:block'));
    $contexts['per_user_block.block']->setContextValue($this);
    $this->contexts = $contexts;
    return $this;
  }

}
